# Evn

EVN data

## GET /{contract}/evn

> Returns provisioning itemized data for a current month

```json
{"openapi":"3.0.0","info":{"title":"IONOS Cloud Billing API","version":"3.9.0"},"tags":[{"name":"evn","description":"EVN data"}],"servers":[{"url":"https://api.ionos.com/billing","description":"Production API"}],"security":[{"basicAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"bearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"ContractParameter":{"name":"contract","in":"path","description":"Contract number","required":true,"schema":{"type":"integer","pattern":"[0-9]{5,10}"}}},"schemas":{"Evn":{"type":"object","properties":{"metadata":{"allOf":[{"$ref":"#/components/schemas/MetaData"},{"type":"object","properties":{"period":{"type":"string"}}}]},"datacenters":{"type":"array","items":{"type":"object","properties":{"vdcUUID":{"type":"string","format":"uuid"},"name":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EvnItem"}}}}},"evnCSV":{"type":"array","items":{"type":"string"}}}},"MetaData":{"type":"object","properties":{"contractId":{"type":"integer"},"customerId":{"type":"integer"},"reference":{"type":"string","nullable":true}}},"EvnItem":{"type":"object","properties":{"resourceType":{"$ref":"#/components/schemas/ResourceTypes"},"resourceUUID":{"type":"string","format":"uuid"},"intervalMin":{"type":"integer"},"intervalDivisor":{"type":"integer"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"itemStub":{"type":"string","enum":["A01000","ALB1000","ALB1100","C01000","C02000","C03000","CC1000","CR1000","CUBExxxx","CWSQL1001","CWSQL2001","CWSQL3001","CWSQL1000","CWSQL2000","DAS1000","NAT1000","NC1000","NLB1000","NLB1100","R01000","S01000","S02000","S03000","S05000","WL1000","WL2000","WL3000","WL4000","WL5000","WL6000"]},"value":{"type":"number"},"valueDivisor":{"type":"integer"},"additionalParameters":{"type":"string"}}},"ResourceTypes":{"type":"string","enum":["SERVER","STORAGE","SNAPSHOT","NATGATEWAY","NIC","IP","IP_ADDRESS","CUBETEMPLATE","LOADBALANCER","BACKUP","S3","TRAFFIC","DB","BMC","DBAAS","CRAAS","LAAS","DSAAS","DNS"]}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object"}}}},"Forbidden":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object"}}}},"NotFound":{"description":"The contract not found or doesn't belong to the user","content":{"application/json":{"schema":{"type":"object"}}}},"Unprocessable":{"description":"Wrong period format specified","content":{"application/json":{"schema":{"type":"object"}}}},"InternalError":{"description":"Unexpected internal server error","content":{"application/json":{"schema":{"type":"object"}}}}}},"paths":{"/{contract}/evn":{"get":{"tags":["evn"],"description":"Returns provisioning itemized data for a current month","operationId":"evnGet","parameters":[{"$ref":"#/components/parameters/ContractParameter"}],"responses":{"200":{"description":"Result data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Evn"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"$ref":"#/components/responses/Unprocessable"},"500":{"$ref":"#/components/responses/InternalError"}}}}}}
```

## GET /{contract}/evn/{period}

> Returns provisioning itemized data for a certain period

```json
{"openapi":"3.0.0","info":{"title":"IONOS Cloud Billing API","version":"3.9.0"},"tags":[{"name":"evn","description":"EVN data"}],"servers":[{"url":"https://api.ionos.com/billing","description":"Production API"}],"security":[{"basicAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"bearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"ContractParameter":{"name":"contract","in":"path","description":"Contract number","required":true,"schema":{"type":"integer","pattern":"[0-9]{5,10}"}},"PeriodParameter":{"name":"period","in":"path","description":"Period of interest in format YYYY-MM","required":true,"schema":{"type":"string","pattern":"^(\\d{4}-\\d{2}|null)$"}}},"schemas":{"Evn":{"type":"object","properties":{"metadata":{"allOf":[{"$ref":"#/components/schemas/MetaData"},{"type":"object","properties":{"period":{"type":"string"}}}]},"datacenters":{"type":"array","items":{"type":"object","properties":{"vdcUUID":{"type":"string","format":"uuid"},"name":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EvnItem"}}}}},"evnCSV":{"type":"array","items":{"type":"string"}}}},"MetaData":{"type":"object","properties":{"contractId":{"type":"integer"},"customerId":{"type":"integer"},"reference":{"type":"string","nullable":true}}},"EvnItem":{"type":"object","properties":{"resourceType":{"$ref":"#/components/schemas/ResourceTypes"},"resourceUUID":{"type":"string","format":"uuid"},"intervalMin":{"type":"integer"},"intervalDivisor":{"type":"integer"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"itemStub":{"type":"string","enum":["A01000","ALB1000","ALB1100","C01000","C02000","C03000","CC1000","CR1000","CUBExxxx","CWSQL1001","CWSQL2001","CWSQL3001","CWSQL1000","CWSQL2000","DAS1000","NAT1000","NC1000","NLB1000","NLB1100","R01000","S01000","S02000","S03000","S05000","WL1000","WL2000","WL3000","WL4000","WL5000","WL6000"]},"value":{"type":"number"},"valueDivisor":{"type":"integer"},"additionalParameters":{"type":"string"}}},"ResourceTypes":{"type":"string","enum":["SERVER","STORAGE","SNAPSHOT","NATGATEWAY","NIC","IP","IP_ADDRESS","CUBETEMPLATE","LOADBALANCER","BACKUP","S3","TRAFFIC","DB","BMC","DBAAS","CRAAS","LAAS","DSAAS","DNS"]}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object"}}}},"Forbidden":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object"}}}},"NotFound":{"description":"The contract not found or doesn't belong to the user","content":{"application/json":{"schema":{"type":"object"}}}},"Unprocessable":{"description":"Wrong period format specified","content":{"application/json":{"schema":{"type":"object"}}}},"InternalError":{"description":"Unexpected internal server error","content":{"application/json":{"schema":{"type":"object"}}}}}},"paths":{"/{contract}/evn/{period}":{"get":{"tags":["evn"],"description":"Returns provisioning itemized data for a certain period","operationId":"evnFindByPeriod","parameters":[{"$ref":"#/components/parameters/ContractParameter"},{"$ref":"#/components/parameters/PeriodParameter"}],"responses":{"200":{"description":"Result data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Evn"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"$ref":"#/components/responses/Unprocessable"},"500":{"$ref":"#/components/responses/InternalError"}}}}}}
```
